Foreman - Bug #18468

Network list not shown when creating a compute profile on a libvirt compute resource
02/13/2017 05:18 AM - Daniel Lobato Garcia

Status: Closed
Priority: Normal
Assignee: Sebastian Grasl
Category: Compute resources
Target version: 1.14.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1394817 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4277,
https://github.com/theforeman/foreman/p
ull/4282
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1394817

Description of problem:

When creating one new computer profile using as computer resource one libvirt connection, is not possible see the Network available
in dropdown menulist, only after submit and open again we can see the network available to this computer resource / provider.

Version-Release number of selected component (if applicable):
6.2.4

How reproducible:
100%

Steps to Reproduce:

1. Create one new libvirt computer resource

2. Infrastructure - Computer Profiles - New Computer Profile - <define name> / submit - <select libvirt computer resource>

3. In Network interfaces section, it's possible to see Network type, Network and NIC type, feel free to change Network type, in
Network field still as text box.

4. Click on Submit

5. Reopen the same computer profile and check again the Network field, now it's possible to select via dropdown menu list.

Actual results:
text box

Expected results:
dropdown menu list with network availables

Additional info:

Associated revisions

Revision ec7fc1bd - 02/14/2017 06:18 AM - Sebastian Grasl
Fixes #18468 - Include JS in libvirt compute profile form

When the form is loaded via XHR the needed JavaScript
is not loaded and selecting of certain attributes fail.

Revision 8c1eb62e - 02/14/2017 09:45 AM - Dominic Cleal

refs #18468 - move compute_resources JS to compute profile index
The CR JS should always be ready and loaded on the compute profile
index, as the new attributes form is rendered into the existing page

after the profile is created.

Because the new attributes form is loaded via the two-pane #content
replacement, the additional JavaScript tag specified in
compute_profiles/show is not automatically loaded into the page.

This fixes the issue for all compute resources, not only Libvirt. It
also uses the “javascript” header to properly track the asset with
Turbolinks so it's unloaded later.

Revision 471ccb7c - 03/01/2017 02:08 PM - Sebastian Grasl
Fixes #18468 - Include JS in libvirt compute profile form

When the form is loaded via XHR the needed JavaScript
is not loaded and selecting of certain attributes fail.
(cherry picked from commit ec7fc1bd9f6ec77a90287f77092ad1f57fc92790)

Revision 2f8e5a95 - 03/01/2017 02:08 PM - Dominic Cleal

refs #18468 - move compute_resources JS to compute profile index

The CR JS should always be ready and loaded on the compute profile
index, as the new attributes form is rendered into the existing page
after the profile is created.

Because the new attributes form is loaded via the two-pane #content
replacement, the additional JavaScript tag specified in
compute_profiles/show is not automatically loaded into the page.

This fixes the issue for all compute resources, not only Libvirt. It

also uses the “javascript™ header to properly track the asset with

Turbolinks so it's unloaded later.

(cherry picked from commit 8c1eb62ebea57fdfa0d153063eccce6756b0ebc7)

History

#1 - 02/13/2017 06:20 AM - Dominic Cleal

- Subject changed from It's not possible see Network when creating one new compute profile / libvirt computer resource to Network list not shown
when creating a compute profile on a libvirt compute resource

- Category set to Compute resources

#2 - 02/13/2017 08:41 AM - Sebastian Grasl

- Assignee set to Sebastian Graf3!

#3 - 02/14/2017 03:38 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4277 added

#4 - 02/14/2017 07:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset ec7fc1bd9f6ec77a90287f77092ad1f57fc92790.

#5 - 02/14/2017 07:41 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/4282 added

#6 - 02/14/2017 10:11 AM - Dominic Cleal

- translation missing: en.field_release set to 221

#7 - 02/21/2017 09:54 AM - Daniel Lobato Garcia

- Target version setto 1.11.0
